import { fetchBase } from '@/api/doctor/doctorFetch'

//获取登录信息
export function getAuthInfo() {
    return fetchBase({ url: '/chronic-admin/v1/base-info/user/login' })
}

//查询居民信息
export function getChronicResidentsId(residentInfoId) {
    return fetchBase({
        url: `/chronic-admin/v1/chronic-residents-record/resident-info`,
        body: { 'residentInfoId': residentInfoId },
        loading: true
    })
}

// 主键查询
export function fetchCurrencyById(params) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-visit-currency/record`, body: params, loading: true })
}

// 慢性病管理列表查询
export function getResidentByPage(params) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-residents-record/page`, body: params, loading: true })
}

// 查询待随访列表
export function getVisitAll(params, loading = true) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-visit-task/query-all-list`, body: params, loading })
}

// 根据单位名称模糊查询单位信息
export function getUnitByName(orgName) {
    return fetchBase({ url: `/tumour-admin/v1/sys-user/org-by-name/${orgName}` })
}

// 根据单位id查询科室
export function getOfficeList(unitId) {
    return fetchBase({ url: `/tumour-admin/v1/sys-user/org-office/${unitId}` })
}

// 根据科室id查询医生
export function getOfficeDoctor(unitId, officeId) {
    return fetchBase({ url: `/tumour-admin/v1/sys-user/org-office-doctors/${unitId}/${officeId}` })
}

// 新增通用随访
export function addCurrency(params) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-visit-currency/save`, body: params, loading: true })
}

//修改通用随访
export function updateCurrency(params) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-visit-currency/update`, body: params, loading: true })
}

// 删除随访
export function deleteVisit(params) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-visit-record/delete`, body:params, loading: true })
}

// 查询随访列表
export function queryVisitByPage(params, loading) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-visit-record/page`, body: params, loading })
}


//图片上传
export function upLoadMultifile(params) {
    return fetchBase({
        url: `/chronic-admin/v1/pictures-info/multifile`,
        body: params,
        loading: false,
        contentType: 'file'
    })
}